Bug 240534 - Syntax errors in post-install script
Syntax errors in post-install script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gallery2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 06:22 EDT by DaveG
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.2-0.6.svn20070506.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 11:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DaveG 2007-05-18 06:22:35 EDT
Description of problem:
Syntax errors in post-install script.

Version-Release number of selected component (if applicable):
gallery2-2.2-0.5.svn20070506.fc5

How reproducible:
Install or update package.

Steps to Reproduce:
1. yum remove gallery2
2. yum install gallery2
  
Actual results:
"If this is an upgrade from a previously installed version of Gallery2,
/var/tmp/rpm-tmp.11144: line 14: hostname: No such file or directory
and follow the instructions there to complete the upgrade process."

Not sure where the output of the second line was redirected, hopefully the line 
just failed.

Expected results:
"If this is an upgrade from a previously installed version of Gallery2,
please be sure to point a web browser at http://<hostname>/gallery2/upgrade/
and follow the instructions there to complete the upgrade process."

Additional info:
rpm -q --scripts gallery2

The post-install script is just "echo" lines - I think some quotes should fix 
the problem.

Spotted some similar problems in other gallery2 bugs.
Comment 1 John Berninger 2007-06-05 12:48:05 EDT
Syntax has been corrected in FC5, FC-6, F-7, and devel.  Sorry for the delay.
Comment 2 Fedora Update System 2007-06-08 11:57:45 EDT
gallery2-2.2-0.6.svn20070506.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.